update webmock version #8

Closed
wants to merge 3 commits into
from

Projects

None yet

3 participants

@akito19
Contributor
akito19 commented Apr 26, 2016 edited

Webmock gem dropped support for Ruby < 1.9.3 when the gem had been updated to v2.0.0.

So I changed gemspec file. Thank you!

@tomykaira
Contributor

Because we do not recommend old ruby versions (c.f. https://webpay.jp/docs/guideline), it is OK to drop webmock 1.x completely.
Could you check CI failure?

@akito19
Contributor
akito19 commented May 6, 2016

Errors are raised If WebMock::request_stub#with isn't provided arguments, which are body, headers, query, or basic_auth.

This is because I added an argument, body, to #with in webpay_mock.rb

This was referenced May 6, 2016
@hmsk hmsk closed this in #10 May 6, 2016
@hmsk
Contributor
hmsk commented May 6, 2016

Thanks for your PR, we will release as v0.3.0 after passing to build with our other projects using webpay-mock 😸

@hmsk hmsk referenced this pull request in webpay/webpay-receipt May 6, 2016
Merged

Update webpay-mock, fix parameters for new ver of webmock #18

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment